CREATE TABLE hz_user_contacts (
    USER_CONTACT_ID          NUMBER(18, 0),
    USER_PARTY_ID            NUMBER(18, 0)    NOT NULL,
    CONTACT_PARTY_ID         NUMBER(18, 0)    NOT NULL,
    CONTACT_ORG_PARTY_ID     NUMBER(18, 0),
    RELATIONSHIP_ID          NUMBER(18, 0),
    CONTACT_ADDITION_DATE    DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    USER_CONTACT_ID          NUMBER(18, 0),
    USER_PARTY_ID            NUMBER(18, 0)    NOT NULL,
    CONTACT_PARTY_ID         NUMBER(18, 0)    NOT NULL,
    CONTACT_ORG_PARTY_ID     NUMBER(18, 0),
    RELATIONSHIP_ID          NUMBER(18, 0),
    CONTACT_ADDITION_DATE    DATE             NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_hz_user_contacts PRIMARY KEY (USER_CONTACT_ID, USER_CONTACT_ID)
);
